package com.ym.library.module;

import java.util.List;

/**
 * @author (wangXuewei)
 * @datetime 2020-10-14 11:18 GMT+8
 * @detail :
 */
public class OrderListEntity {


    /**
     * id : 1
     * cash : 30
     * unit : 元
     * desc : null
     * title : null
     * cashStr : 0.3
     * type : 1
     * text : null
     * clockId : 1
     * relatedUnit : null
     * targetNum : null
     * completeNum : 0
     * currentNum : 0
     * needPlantList : [{"plantId":1,"targetNum":3,"currentNum":0},{"plantId":2,"targetNum":3,"currentNum":0},{"plantId":3,"targetNum":3,"currentNum":0}]
     * wdCount : 0
     */

    private int id;
    private int cash;
    private String unit;
    private Object desc;
    private Object title;
    private String cashStr;
    private int type;
    private Object text;
    private int clockId;
    private Object relatedUnit;
    private Object targetNum;
    private int completeNum;
    private int currentNum;
    private int wdCount;
    private List<NeedPlantListBean> needPlantList;

    public int getId() {
        return id;
    }

    public void setId(int id) {
        this.id = id;
    }

    public int getCash() {
        return cash;
    }

    public void setCash(int cash) {
        this.cash = cash;
    }

    public String getUnit() {
        return unit;
    }

    public void setUnit(String unit) {
        this.unit = unit;
    }

    public Object getDesc() {
        return desc;
    }

    public void setDesc(Object desc) {
        this.desc = desc;
    }

    public Object getTitle() {
        return title;
    }

    public void setTitle(Object title) {
        this.title = title;
    }

    public String getCashStr() {
        return cashStr;
    }

    public void setCashStr(String cashStr) {
        this.cashStr = cashStr;
    }

    public int getType() {
        return type;
    }

    public void setType(int type) {
        this.type = type;
    }

    public Object getText() {
        return text;
    }

    public void setText(Object text) {
        this.text = text;
    }

    public int getClockId() {
        return clockId;
    }

    public void setClockId(int clockId) {
        this.clockId = clockId;
    }

    public Object getRelatedUnit() {
        return relatedUnit;
    }

    public void setRelatedUnit(Object relatedUnit) {
        this.relatedUnit = relatedUnit;
    }

    public Object getTargetNum() {
        return targetNum;
    }

    public void setTargetNum(Object targetNum) {
        this.targetNum = targetNum;
    }

    public int getCompleteNum() {
        return completeNum;
    }

    public void setCompleteNum(int completeNum) {
        this.completeNum = completeNum;
    }

    public int getCurrentNum() {
        return currentNum;
    }

    public void setCurrentNum(int currentNum) {
        this.currentNum = currentNum;
    }

    public int getWdCount() {
        return wdCount;
    }

    public void setWdCount(int wdCount) {
        this.wdCount = wdCount;
    }

    public List<NeedPlantListBean> getNeedPlantList() {
        return needPlantList;
    }

    public void setNeedPlantList(List<NeedPlantListBean> needPlantList) {
        this.needPlantList = needPlantList;
    }

    public static class NeedPlantListBean {
        /**
         * plantId : 1
         * targetNum : 3
         * currentNum : 0
         */

        private int plantId;
        private int targetNum;
        private int currentNum;

        public int getPlantId() {
            return plantId;
        }

        public void setPlantId(int plantId) {
            this.plantId = plantId;
        }

        public int getTargetNum() {
            return targetNum;
        }

        public void setTargetNum(int targetNum) {
            this.targetNum = targetNum;
        }

        public int getCurrentNum() {
            return currentNum;
        }

        public void setCurrentNum(int currentNum) {
            this.currentNum = currentNum;
        }
    }
}
